| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_lattice_instance_q31 Struct Reference

Instance structure for the Q31 FIR lattice filter.

## Data Fields

uint16_t | numStages
q31_t * | pState
q31_t * | pCoeffs

## Field Documentation

uint16_t arm_fir_lattice_instance_q31::numStages

number of filter stages.

Referenced by arm_fir_lattice_init_q31(), and arm_fir_lattice_q31().

q31_t* arm_fir_lattice_instance_q31::pCoeffs

points to the coefficient array. The array is of length numStages.

Referenced by arm_fir_lattice_init_q31(), and arm_fir_lattice_q31().

q31_t* arm_fir_lattice_instance_q31::pState

points to the state variable array. The array is of length numStages.

Referenced by arm_fir_lattice_init_q31(), and arm_fir_lattice_q31().